TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsSquare ( elt-res^rat x ) -> elt-alg^boo, elt-res^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2
Factorization | seq() |  |

### Description

<shortdoc> True iff the element x of Z/mZ is a quadratic residue mod m; if true, a square root of x is also returned. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack